Index: /trunk/include/dblayer/functions_mysql.inc.php
===================================================================
--- /trunk/include/dblayer/functions_mysql.inc.php	(revision 25017)
+++ /trunk/include/dblayer/functions_mysql.inc.php	(revision 25018)
@@ -329,5 +329,5 @@
           $column.= " collate '".$row['Collation']."'";
         }
-        array_push($columns, $column);
+        $columns[] = $column;
       }
     }
@@ -565,5 +565,5 @@
   while ($row = pwg_db_fetch_row($result))
   {
-    array_push($all_tables, $row[0]);
+    $all_tables[] = $row[0];
   }
 
@@ -583,5 +583,5 @@
       if ($row['Key'] == 'PRI')
       {
-        array_push($all_primary_key, $row['Field']);
+        $all_primary_key[] = $row['Field'];
       }
     }
@@ -599,15 +599,9 @@
   if ($mysql_rc)
   {
-    array_push(
-          $page['infos'],
-          l10n('All optimizations have been successfully completed.')
-          );
+    $page['infos'][] = l10n('All optimizations have been successfully completed.');
   }
   else
   {
-    array_push(
-          $page['errors'],
-          l10n('Optimizations have been completed with some errors.')
-          );
+    $page['errors'][] = l10n('Optimizations have been completed with some errors.');
   }
 }
Index: /trunk/include/dblayer/functions_mysqli.inc.php
===================================================================
--- /trunk/include/dblayer/functions_mysqli.inc.php	(revision 25017)
+++ /trunk/include/dblayer/functions_mysqli.inc.php	(revision 25018)
@@ -366,5 +366,5 @@
           $column.= " collate '".$row['Collation']."'";
         }
-        array_push($columns, $column);
+        $columns[] = $column;
       }
     }
@@ -602,5 +602,5 @@
   while ($row = pwg_db_fetch_row($result))
   {
-    array_push($all_tables, $row[0]);
+    $all_tables[] = $row[0];
   }
 
@@ -620,5 +620,5 @@
       if ($row['Key'] == 'PRI')
       {
-        array_push($all_primary_key, $row['Field']);
+        $all_primary_key[] = $row['Field'];
       }
     }
@@ -636,15 +636,9 @@
   if ($mysqli_rc)
   {
-    array_push(
-          $page['infos'],
-          l10n('All optimizations have been successfully completed.')
-          );
+    $page['infos'][] = l10n('All optimizations have been successfully completed.');
   }
   else
   {
-    array_push(
-          $page['errors'],
-          l10n('Optimizations have been completed with some errors.')
-          );
+    $page['errors'][] = l10n('Optimizations have been completed with some errors.');
   }
 }
Index: /trunk/include/filter.inc.php
===================================================================
--- /trunk/include/filter.inc.php	(revision 25017)
+++ /trunk/include/filter.inc.php	(revision 25018)
@@ -124,5 +124,8 @@
   if (get_filter_page_value('add_notes'))
   {
-    $header_notes[] = l10n_dec('Photos posted within the last %d day.', 'Photos posted within the last %d days.', $filter['recent_period']);
+    $header_notes[] = l10n_dec(
+      'Photos posted within the last %d day.', 'Photos posted within the last %d days.',
+      $filter['recent_period']
+      );
   }
   include_once(PHPWG_ROOT_PATH.'include/functions_filter.inc.php');
Index: /trunk/include/functions.inc.php
===================================================================
--- /trunk/include/functions.inc.php	(revision 25017)
+++ /trunk/include/functions.inc.php	(revision 25018)
@@ -879,6 +879,8 @@
   foreach ($caddiables as $caddiable)
   {
-    array_push($datas, array('element_id' => $caddiable,
-                             'user_id' => $user['id']));
+    $datas[] = array(
+      'element_id' => $caddiable,
+      'user_id' => $user['id'],
+      );
   }
 
Index: /trunk/include/functions_calendar.inc.php
===================================================================
--- /trunk/include/functions_calendar.inc.php	(revision 25017)
+++ /trunk/include/functions_calendar.inc.php	(revision 25018)
@@ -213,5 +213,5 @@
             if ( isset($page['chronology_date'][0]) )
             {
-              array_push($chronology_date, $page['chronology_date'][0]);
+              $chronology_date[] = $page['chronology_date'][0];
             }
           }
Index: /trunk/include/functions_comment.inc.php
===================================================================
--- /trunk/include/functions_comment.inc.php	(revision 25017)
+++ /trunk/include/functions_comment.inc.php	(revision 25018)
@@ -94,5 +94,5 @@
       if ($conf['comments_author_mandatory'])
       {
-        array_push($infos, l10n('Username is mandatory') );
+        $infos[] = l10n('Username is mandatory');
         $comment_action='reject';
       }
@@ -111,5 +111,5 @@
       if ( $row['user_exists'] == 1 )
       {
-        array_push($infos, l10n('This login is already used by another user') );
+        $infos[] = l10n('This login is already used by another user');
         $comment_action='reject';
       }
@@ -142,5 +142,5 @@
     if (!url_check_format($comm['website_url']))
     {
-      array_push($infos, l10n('Your website URL is invalid'));
+      $infos[] = l10n('Your website URL is invalid');
       $comment_action='reject';
     }
@@ -156,5 +156,5 @@
     else if ($conf['comments_email_mandatory'])
     {
-      array_push($infos, l10n('Email address is missing. Please specify an email address.') );
+      $infos[] = l10n('Email address is missing. Please specify an email address.');
       $comment_action='reject';
     }
@@ -162,5 +162,5 @@
   else if (!email_check_format($comm['email']))
   {
-    array_push($infos, l10n('mail address must be like xxx@yyy.eee (example : jack@altern.org)'));
+    $infos[] = l10n('mail address must be like xxx@yyy.eee (example : jack@altern.org)');
     $comment_action='reject';
   }
@@ -193,5 +193,5 @@
     if ( $counter > 0 )
     {
-      array_push( $infos, l10n('Anti-flood system : please wait for a moment before trying to post another comment') );
+      $infos[] = l10n('Anti-flood system : please wait for a moment before trying to post another comment');
       $comment_action='reject';
     }
Index: /trunk/include/functions_mail.inc.php
===================================================================
--- /trunk/include/functions_mail.inc.php	(revision 25017)
+++ /trunk/include/functions_mail.inc.php	(revision 25018)
@@ -294,5 +294,5 @@
       if (!empty($admin['mail_address']))
       {
-        array_push($admins, format_email($admin['username'], $admin['mail_address']));
+        $admins[] = format_email($admin['username'], $admin['mail_address']);
       }
     }
@@ -420,5 +420,5 @@
           if (!empty($row['mail_address']))
           {
-            array_push($Bcc, format_email(stripslashes($row['username']), $row['mail_address']));
+            $Bcc[] = format_email(stripslashes($row['username']), $row['mail_address']);
           }
         }
Index: /trunk/include/functions_notification.inc.php
===================================================================
--- /trunk/include/functions_notification.inc.php	(revision 25017)
+++ /trunk/include/functions_notification.inc.php	(revision 25018)
@@ -207,5 +207,5 @@
     while ($row = pwg_db_fetch_assoc($result))
     {
-      array_push($infos, $row);
+      $infos[] = $row;
     }
 
@@ -370,5 +370,5 @@
       $line = '<a href="'.$url.'">'.$line.'</a>';
     }
-    array_push($news, $line);
+    $news[] = $line;
   }
 }
@@ -451,5 +451,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($dates, $row);
+    $dates[] = $row;
   }
 
@@ -470,5 +470,5 @@
       while ($row = pwg_db_fetch_assoc($result))
       {
-        array_push($dates[$i]['elements'], $row);
+        $dates[$i]['elements'][] = $row;
       }
     }
@@ -490,5 +490,5 @@
       while ($row = pwg_db_fetch_assoc($result))
       {
-        array_push($dates[$i]['categories'], $row);
+        $dates[$i]['categories'][] = $row;
       }
     }
@@ -547,6 +547,5 @@
   $description .=
         '<li>'
-        .l10n_dec('%d album updated', '%d albums updated',
-                  $date_detail['nb_cats'])
+        .l10n_dec('%d album updated', '%d albums updated', $date_detail['nb_cats'])
         .'</li>';
 
@@ -558,6 +557,5 @@
           .get_cat_display_name_cache($cat['uppercats'])
           .' ('.
-          l10n_dec('%d new photo',
-                   '%d new photos', $cat['img_count']).')'
+          l10n_dec('%d new photo', '%d new photos', $cat['img_count']).')'
           .'</li>';
   }
Index: /trunk/include/functions_plugins.inc.php
===================================================================
--- /trunk/include/functions_plugins.inc.php	(revision 25017)
+++ /trunk/include/functions_plugins.inc.php	(revision 25018)
@@ -221,5 +221,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($plugins, $row);
+    $plugins[] = $row;
   }
   return $plugins;
Index: /trunk/include/functions_search.inc.php
===================================================================
--- /trunk/include/functions_search.inc.php	(revision 25017)
+++ /trunk/include/functions_search.inc.php	(revision 25018)
@@ -69,5 +69,5 @@
       foreach ($search['fields'][$textfield]['words'] as $word)
       {
-        array_push($local_clauses, $textfield." LIKE '%".$word."%'");
+        $local_clauses[] = $textfield." LIKE '%".$word."%'";
       }
 
@@ -75,10 +75,7 @@
       $local_clauses = prepend_append_array_items($local_clauses, '(', ')');
 
-      array_push(
-        $clauses,
-        implode(
-          ' '.$search['fields'][$textfield]['mode'].' ',
-          $local_clauses
-          )
+      $clauses[] = implode(
+        ' '.$search['fields'][$textfield]['mode'].' ',
+        $local_clauses
         );
     }
@@ -101,13 +98,10 @@
       foreach ($fields as $field)
       {
-        array_push($field_clauses, $field." LIKE '%".$word."%'");
+        $field_clauses[] = $field." LIKE '%".$word."%'";
       }
       // adds brackets around where clauses
-      array_push(
-        $word_clauses,
-        implode(
-          "\n          OR ",
-          $field_clauses
-          )
+      $word_clauses[] = implode(
+        "\n          OR ",
+        $field_clauses
         );
     }
@@ -118,14 +112,9 @@
       );
 
-    array_push(
-      $clauses,
-      "\n         ".
+    $clauses[] = "\n         ".
       implode(
-        "\n         ".
-              $search['fields']['allwords']['mode'].
-        "\n         ",
+        "\n         ". $search['fields']['allwords']['mode']. "\n         ",
         $word_clauses
-        )
-      );
+        );
   }
 
@@ -134,8 +123,5 @@
     if (isset($search['fields'][$datefield]))
     {
-      array_push(
-        $clauses,
-        $datefield." = '".$search['fields'][$datefield]['date']."'"
-        );
+      $clauses[] = $datefield." = '".$search['fields'][$datefield]['date']."'"
     }
 
@@ -146,13 +132,8 @@
       if (isset($search['fields'][$key]))
       {
-        array_push(
-          $clauses,
-
-          $datefield.
+        $clauses[] = $datefield.
           ($suffix == 'after'             ? ' >' : ' <').
           ($search['fields'][$key]['inc'] ? '='  : '').
-          " '".$search['fields'][$key]['date']."'"
-
-          );
+          " '".$search['fields'][$key]['date']."'";
       }
     }
@@ -172,5 +153,5 @@
 
     $local_clause = 'category_id IN ('.implode(',', $cat_ids).')';
-    array_push($clauses, $local_clause);
+    $clauses[] = $local_clause;
   }
 
Index: /trunk/include/functions_tag.inc.php
===================================================================
--- /trunk/include/functions_tag.inc.php	(revision 25017)
+++ /trunk/include/functions_tag.inc.php	(revision 25018)
@@ -333,5 +333,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($tags, $row);
+    $tags[] = $row;
   }
   return $tags;
Index: /trunk/include/functions_url.inc.php
===================================================================
--- /trunk/include/functions_url.inc.php	(revision 25017)
+++ /trunk/include/functions_url.inc.php	(revision 25018)
@@ -467,12 +467,11 @@
           if (empty($maybe_permalinks))
           {
-            array_push($maybe_permalinks, $tokens[$current_token]);
+            $maybe_permalinks[] = $tokens[$current_token];
           }
           else
           {
-            array_push($maybe_permalinks,
+            $maybe_permalinks[] = 
                 $maybe_permalinks[count($maybe_permalinks)-1]
-                . '/' . $tokens[$current_token]
-              );
+                . '/' . $tokens[$current_token];
           }
           $current_token++;
@@ -528,9 +527,9 @@
       if ( $conf['tag_url_style'] != 'tag' and preg_match('/^(\d+)(?:-(.*)|)$/', $tokens[$i], $matches) )
       {
-        array_push($requested_tag_ids, $matches[1]);
+        $requested_tag_ids[] = $matches[1];
       }
       else
       {
-        array_push($requested_tag_url_names, $tokens[$i]);
+        $requested_tag_url_names[] = $tokens[$i];
       }
       $i++;
@@ -598,5 +597,5 @@
     {
       // Add dummy element list
-      array_push($page['list'], -1);
+      $page['list'][] = -1;
     }
     // With pictures list
@@ -609,5 +608,5 @@
       foreach (explode(',', $tokens[$next_token]) as $image_id)
       {
-        array_push($page['list'], $image_id);
+        $page['list'][] = $image_id;
       }
     }
Index: /trunk/include/picture_comment.inc.php
===================================================================
--- /trunk/include/picture_comment.inc.php	(revision 25017)
+++ /trunk/include/picture_comment.inc.php	(revision 25018)
@@ -61,11 +61,11 @@
   {
     case 'moderate':
-      array_push($page['infos'], l10n('An administrator must authorize your comment before it is visible.') );
+      $page['infos'][] = l10n('An administrator must authorize your comment before it is visible.');
     case 'validate':
-      array_push($page['infos'], l10n('Your comment has been registered'));
+      $page['infos'][] = l10n('Your comment has been registered');
       break;
     case 'reject':
       set_status_header(403);
-      array_push($page['errors'], l10n('Your comment has NOT been registered because it did not pass the validation rules') );
+      $page['errors'][] = l10n('Your comment has NOT been registered because it did not pass the validation rules');
       break;
     default:
Index: /trunk/include/section_init.inc.php
===================================================================
--- /trunk/include/section_init.inc.php	(revision 25017)
+++ /trunk/include/section_init.inc.php	(revision 25018)
@@ -340,5 +340,5 @@
     foreach ($page['tags'] as $tag)
     {
-      array_push($page['tag_ids'], $tag['id']);
+      $page['tag_ids'][] = $tag['id'];
     }
 
Index: /trunk/include/ws_functions.inc.php
===================================================================
--- /trunk/include/ws_functions.inc.php	(revision 25017)
+++ /trunk/include/ws_functions.inc.php	(revision 25018)
@@ -402,5 +402,5 @@
   foreach ( array_from_query($query, 'id') as $id )
   {
-    array_push($datas, array('element_id'=>$id, 'user_id'=>$user['id']) );
+    $datas[] = array('element_id'=>$id, 'user_id'=>$user['id']);
   }
   if (count($datas))
@@ -794,5 +794,5 @@
             if (isset($image_id) and !in_array($image_id, $image_ids))
             {
-              array_push($new_image_ids, $image_id);
+              $new_image_ids[] = $image_id;
             }
 
@@ -833,11 +833,8 @@
     foreach ($user_representative_updates_for as $cat_id => $image_id)
     {
-      array_push(
-        $updates,
-        array(
-          'user_id' => $user['id'],
-          'cat_id' => $cat_id,
-          'user_representative_picture_id' => $image_id,
-          )
+      $updates[] = array(
+        'user_id' => $user['id'],
+        'cat_id' => $cat_id,
+        'user_representative_picture_id' => $image_id,
         );
     }
@@ -995,11 +992,11 @@
   {
     case 'reject':
-      array_push($infos, l10n('Your comment has NOT been registered because it did not pass the validation rules') );
+      $infos[] = l10n('Your comment has NOT been registered because it did not pass the validation rules');
       return new PwgError(403, implode("; ", $infos) );
     case 'validate':
     case 'moderate':
       $ret = array(
-          'id' => $comm['id'],
-          'validation' => $comment_action=='validate',
+        'id' => $comm['id'],
+        'validation' => $comment_action=='validate',
         );
       return array( 'comment' =>  new PwgNamedStruct($ret) );
@@ -1072,5 +1069,5 @@
       );
     $row['id']=(int)$row['id'];
-    array_push($related_categories, $row);
+    $related_categories[] = $row;
   }
   usort($related_categories, 'global_rank_compare');
@@ -1545,5 +1542,5 @@
       {
         ws_logfile($file);
-        array_push($chunks, $upload_dir.'/'.$file);
+        $chunks[] = $upload_dir.'/'.$file;
       }
     }
@@ -1602,5 +1599,5 @@
       if (preg_match($pattern, $file))
       {
-        array_push($chunks, $upload_dir.'/'.$file);
+        $chunks[] = $upload_dir.'/'.$file;
       }
     }
@@ -1959,6 +1956,5 @@
       foreach ($params['tags'] as $tag_name)
       {
-        $tag_id = tag_id_from_tag_name($tag_name);
-        array_push($tag_ids, $tag_id);
+        $tag_ids[] = tag_id_from_tag_name($tag_name);
       }
     }
@@ -1968,6 +1964,5 @@
       foreach ($tag_names as $tag_name)
       {
-        $tag_id = tag_id_from_tag_name(preg_replace('#\\\\*,#', ',', $tag_name));
-        array_push($tag_ids, $tag_id);
+        $tag_ids[] = tag_id_from_tag_name(preg_replace('#\\\\*,#', ',', $tag_name));
       }
     }
@@ -2663,5 +2658,5 @@
     if ($image_id > 0)
     {
-      array_push($image_ids, $image_id);
+      $image_ids[] = $image_id;
     }
   }
@@ -2695,5 +2690,5 @@
     }
 
-    array_push($cat_ids, $cat_id);
+    $cat_ids[] = $cat_id;
 
     if (!isset($rank))
@@ -2804,11 +2799,8 @@
   foreach ($new_cat_ids as $cat_id)
   {
-    array_push(
-      $inserts,
-      array(
-        'image_id' => $image_id,
-        'category_id' => $cat_id,
-        'rank' => $rank_on_category[$cat_id],
-        )
+    $inserts[] = array(
+      'image_id' => $image_id,
+      'category_id' => $cat_id,
+      'rank' => $rank_on_category[$cat_id],
       );
   }
@@ -2996,5 +2988,5 @@
     if ($category_id > 0)
     {
-      array_push($category_ids, $category_id);
+      $category_ids[] = $category_id;
     }
   }
@@ -3054,5 +3046,5 @@
     if ($category_id > 0)
     {
-      array_push($category_ids, $category_id);
+      $category_ids[] = $category_id;
     }
   }
@@ -3421,5 +3413,5 @@
   if (!in_array($params['id'], $conf['updates_ignored'][$params['type']]))
   {
-    array_push($conf['updates_ignored'][$params['type']], $params['id']);
+    $conf['updates_ignored'][ $params['type'] ][] = $params['id'];
   }
   conf_update_param('updates_ignored', pwg_db_real_escape_string(serialize($conf['updates_ignored'])));
Index: /trunk/include/ws_protocols/rest_encoder.php
===================================================================
--- /trunk/include/ws_protocols/rest_encoder.php	(revision 25017)
+++ /trunk/include/ws_protocols/rest_encoder.php	(revision 25018)
@@ -67,5 +67,5 @@
     $this->_output( '<'.$name );
     $this->_lastTagOpen = true;
-    array_push( $this->_elementStack, $name);
+    $this->_elementStack[] = $name;
   }
 
Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 25017)
+++ /trunk/install.php	(revision 25018)
@@ -253,23 +253,33 @@
 include(PHPWG_ROOT_PATH . 'admin/include/functions_upgrade.php');
 
-if ( isset( $_POST['install'] ))
+if (isset($_POST['install']))
 {
   install_db_connect($infos, $errors);
   pwg_db_check_charset();
 
-  $webmaster = trim(preg_replace( '/\s{2,}/', ' ', $admin_name ));
-  if ( empty($webmaster))
-    array_push( $errors, l10n('enter a login for webmaster') );
-  else if ( preg_match( '/[\'"]/', $webmaster ) )
-    array_push( $errors, l10n('webmaster login can\'t contain characters \' or "') );
-  if ( $admin_pass1 != $admin_pass2 || empty($admin_pass1) )
-    array_push( $errors, l10n('please enter your password again') );
-  if ( empty($admin_mail))
-    array_push( $errors, l10n('mail address must be like xxx@yyy.eee (example : jack@altern.org)') );
+  $webmaster = trim(preg_replace('/\s{2,}/', ' ', $admin_name));
+  if (empty($webmaster))
+  {
+    $errors[] = l10n('enter a login for webmaster');
+  }
+  else if (preg_match( '/[\'"]/', $webmaster))
+  {
+    $errors[] = l10n('webmaster login can\'t contain characters \' or "');
+  }
+  if ($admin_pass1 != $admin_pass2 || empty($admin_pass1))
+  {
+    $errors[] = l10n('please enter your password again');
+  }
+  if (empty($admin_mail))
+  {
+    $errors[] = l10n('mail address must be like xxx@yyy.eee (example : jack@altern.org)');
+  }
   else
   {
     $error_mail_address = validate_mail_address(null, $admin_mail);
     if (!empty($error_mail_address))
-      array_push( $errors, $error_mail_address );
+    {
+      $errors[] = $error_mail_address;
+    }
   }
 
@@ -389,11 +399,8 @@
     foreach (get_available_upgrade_ids() as $upgrade_id)
     {
-      array_push(
-        $datas,
-        array(
-          'id'          => $upgrade_id,
-          'applied'     => CURRENT_DATE,
-          'description' => 'upgrade included in installation',
-          )
+      $datas[] = array(
+        'id'          => $upgrade_id,
+        'applied'     => CURRENT_DATE,
+        'description' => 'upgrade included in installation',
         );
     }
@@ -450,12 +457,9 @@
 else
 {
-  array_push(
-    $infos,
-    l10n('Congratulations, Piwigo installation is completed')
-    );
+  $infos[] = l10n('Congratulations, Piwigo installation is completed');
 
   if (isset($error_copy))
   {
-    array_push($errors, $error_copy);
+    $errors[] = $error_copy;
   }
   else
Index: /trunk/nbm.php
===================================================================
--- /trunk/nbm.php	(revision 25017)
+++ /trunk/nbm.php	(revision 25018)
@@ -46,6 +46,5 @@
   subscribe_notification_by_mail(false, array($_GET['subscribe']));
 }
-else
-if (isset($_GET['unsubscribe'])
+else if (isset($_GET['unsubscribe'])
     and preg_match('/^[A-Za-z0-9]{16}$/', $_GET['unsubscribe']))
 {
@@ -54,5 +53,5 @@
 else
 {
-  array_push($page['errors'], l10n('Unknown identifier'));
+  $page['errors'][] = l10n('Unknown identifier');
 }
 
Index: /trunk/password.php
===================================================================
--- /trunk/password.php	(revision 25017)
+++ /trunk/password.php	(revision 25018)
@@ -54,5 +54,5 @@
   if (empty($_POST['username_or_email']))
   {
-    array_push($page['errors'], l10n('Invalid username or email'));
+    $page['errors'][] = l10n('Invalid username or email');
     return false;
   }
@@ -67,5 +67,5 @@
   if (!is_numeric($user_id))
   {
-    array_push($page['errors'], l10n('Invalid username or email'));
+    $page['errors'][] = l10n('Invalid username or email');
     return false;
   }
@@ -77,5 +77,5 @@
   if (is_a_guest($status) or is_generic($status))
   {
-    array_push($page['errors'], l10n('Password reset is not allowed for this user'));
+    $page['errors'][] = l10n('Password reset is not allowed for this user');
     return false;
   }
@@ -83,10 +83,7 @@
   if (empty($userdata['email']))
   {
-    array_push(
-      $page['errors'],
-      l10n(
-        'User "%s" has no email address, password reset is not possible',
-        $userdata['username']
-        )
+    $page['errors'][] = l10n(
+      'User "%s" has no email address, password reset is not possible',
+      $userdata['username']
       );
     return false;
@@ -131,10 +128,10 @@
   if (pwg_mail($userdata['email'], $email_params))
   {
-    array_push($page['infos'], l10n('Check your email for the confirmation link'));
+    $page['infos'][] = l10n('Check your email for the confirmation link');
     return true;
   }
   else
   {
-    array_push($page['errors'], l10n('Error sending email'));
+    $page['errors'][] = l10n('Error sending email');
     return false;
   }
@@ -153,5 +150,5 @@
   if (!preg_match('/^[a-z0-9]{20}$/i', $key))
   {
-    array_push($page['errors'], l10n('Invalid key'));
+    $page['errors'][] = l10n('Invalid key');
     return false;
   }
@@ -168,5 +165,5 @@
   if (pwg_db_num_rows($result) == 0)
   {
-    array_push($page['errors'], l10n('Invalid key'));
+    $page['errors'][] = l10n('Invalid key');
     return false;
   }
@@ -176,5 +173,5 @@
   if (is_a_guest($userdata['status']) or is_generic($userdata['status']))
   {
-    array_push($page['errors'], l10n('Password reset is not allowed for this user'));
+    $page['errors'][] = l10n('Password reset is not allowed for this user');
     return false;
   }
@@ -195,5 +192,5 @@
   if ($_POST['use_new_pwd'] != $_POST['passwordConf'])
   {
-    array_push($page['errors'], l10n('The passwords do not match'));
+    $page['errors'][] = l10n('The passwords do not match');
     return false;
   }
@@ -204,5 +201,5 @@
     if (!is_numeric($user_id))
     {
-      array_push($page['errors'], l10n('Invalid key'));
+      $page['errors'][] = l10n('Invalid key');
       return false;
     }
@@ -213,5 +210,5 @@
     if (is_a_guest() or is_generic())
     {
-      array_push($page['errors'], l10n('Password reset is not allowed for this user'));
+      $page['errors'][] = l10n('Password reset is not allowed for this user');
       return false;
     }
@@ -226,13 +223,13 @@
     );
 
-  array_push($page['infos'], l10n('Your password has been reset'));
+  $page['infos'][] = l10n('Your password has been reset');
 
   if (isset($_GET['key']))
   {
-    array_push($page['infos'], '<a href="'.get_root_url().'identification.php">'.l10n('Login').'</a>');
+    $page['infos'][] = '<a href="'.get_root_url().'identification.php">'.l10n('Login').'</a>';
   }
   else
   {
-    array_push($page['infos'], '<a href="'.get_gallery_home_url().'">'.l10n('Return to home page').'</a>');
+    $page['infos'][] = '<a href="'.get_gallery_home_url().'">'.l10n('Return to home page').'</a>';
   }
 
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 25017)
+++ /trunk/picture.php	(revision 25018)
@@ -103,6 +103,6 @@
         if ('best_rated'==$page['section'])
         {
-          $page['rank_of'][$page['image_id']] = count($page['items']);
-          array_push($page['items'], $page['image_id'] );
+          $page['rank_of'][ $page['image_id'] ] = count($page['items']);
+          $page['items'][] = $page['image_id'];
         }
         else
@@ -469,11 +469,11 @@
 if (isset($page['previous_item']))
 {
-  array_push($ids, $page['previous_item']);
-  array_push($ids, $page['first_item']);
+  $ids[] = $page['previous_item'];
+  $ids[] = $page['first_item'];
 }
 if (isset($page['next_item']))
 {
-  array_push($ids, $page['next_item']);
-  array_push($ids, $page['last_item']);
+  $ids[] = $page['next_item'];
+  $ids[] = $page['last_item'];
 }
 
Index: /trunk/plugins/LocalFilesEditor/admin.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/admin.php	(revision 25017)
+++ /trunk/plugins/LocalFilesEditor/admin.php	(revision 25018)
@@ -57,7 +57,6 @@
 {
   $content_file = file_get_contents(get_bak_file($edited_file));
-  array_push($page['infos'],
-    l10n('locfiledit_bak_loaded1'),
-    l10n('locfiledit_bak_loaded2'));
+  $page['infos'][] = l10n('locfiledit_bak_loaded1'),
+  $page['infos'][] = l10n('locfiledit_bak_loaded2');
 }
 
@@ -71,5 +70,5 @@
   if (!is_webmaster())
   {
-    array_push($page['errors'], l10n('locfiledit_webmaster_only'));
+    $page['errors'][] = l10n('locfiledit_webmaster_only');
   }
   else
@@ -82,5 +81,5 @@
     if ($content_file === false)
     {
-      array_push($page['errors'], l10n('locfiledit_syntax_error'));
+      $page['errors'][] = l10n('locfiledit_syntax_error');
     }
     else
@@ -93,5 +92,5 @@
       {
         @copy($edited_file, get_bak_file($edited_file));
-        array_push($page['infos'], l10n('locfiledit_saved_bak', substr(get_bak_file($edited_file), 2)));
+        $page['infos'][] = l10n('locfiledit_saved_bak', substr(get_bak_file($edited_file), 2));
       }
       
@@ -105,5 +104,5 @@
       else
       {
-        array_push($page['errors'], l10n('locfiledit_cant_save'));
+        $page['errors'][] = l10n('locfiledit_cant_save');
       }
     }
Index: /trunk/plugins/LocalFilesEditor/include/css.inc.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/include/css.inc.php	(revision 25017)
+++ /trunk/plugins/LocalFilesEditor/include/css.inc.php	(revision 25018)
@@ -65,5 +65,5 @@
 foreach ($db_themes as $db_theme)
 {
-  array_push($db_theme_ids, $db_theme['id']);
+  $db_theme_ids[] = $db_theme['id'];
 }
 
@@ -86,10 +86,10 @@
     else
     {
-      array_push($active_themes, $fs_theme);
+      $active_themes[] = $fs_theme;
     }
   }
   else
   {
-    array_push($inactive_themes, $fs_theme);
+    $inactive_themes[] = $fs_theme;
   }
 }
Index: /trunk/plugins/LocalFilesEditor/include/tpl.inc.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/include/tpl.inc.php	(revision 25017)
+++ /trunk/plugins/LocalFilesEditor/include/tpl.inc.php	(revision 25018)
@@ -40,5 +40,5 @@
   if (empty($filename))
   {
-    array_push($page['errors'], l10n('locfiledit_empty_filename'));
+    $page['errors'][] = l10n('locfiledit_empty_filename');
   }
   if (get_extension($filename) != 'tpl')
@@ -48,13 +48,13 @@
   if (!preg_match('/^[a-zA-Z0-9-_.]+$/', $filename))
   {
-    array_push($page['errors'], l10n('locfiledit_filename_error'));
+    $page['errors'][] = l10n('locfiledit_filename_error');
   }
   if (is_numeric($_POST['tpl_model']) and $_POST['tpl_model'] != '0')
   {
-    array_push($page['errors'], l10n('locfiledit_model_error'));
+    $page['errors'][] = l10n('locfiledit_model_error');
   }
   if (file_exists($_POST['tpl_parent'] . '/' . $filename))
   {
-    array_push($page['errors'], l10n('locfiledit_file_already_exists'));
+    $page['errors'][] = l10n('locfiledit_file_already_exists');
   }
   if (!empty($page['errors']))
Index: /trunk/plugins/LocalFilesEditor/main.inc.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/main.inc.php	(revision 25017)
+++ /trunk/plugins/LocalFilesEditor/main.inc.php	(revision 25018)
@@ -36,10 +36,7 @@
 function localfiles_admin_menu($menu)
 {
-  array_push(
-    $menu,
-    array(
-      'NAME' => 'LocalFiles Editor',
-      'URL' => get_root_url().'admin.php?page=plugin-'.basename(dirname(__FILE__))
-      )
+  $menu[] = array(
+    'NAME' => 'LocalFiles Editor',
+    'URL' => get_root_url().'admin.php?page=plugin-'.basename(dirname(__FILE__))
     );
   
